## org.apache.mahout.text
Class SequenceFilesFromDirectory.ChunkedWriter

    java.lang.Object
      org.apache.mahout.text.SequenceFilesFromDirectory.ChunkedWriter

All Implemented Interfaces:
  Closeable

Enclosing class:
  SequenceFilesFromDirectory

    public static class SequenceFilesFromDirectory.ChunkedWriter

extends Object
implements Closeable

Constructor Summary
`SequenceFilesFromDirectory.ChunkedWriter(int chunkSizeInMB, String outputDir)`

Method Summary
`void` `close()`
`void` `write(String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilesFromDirectory.ChunkedWriter

    public SequenceFilesFromDirectory.ChunkedWriter(int chunkSizeInMB,
                                                    String outputDir)
                                             throws IOException

Throws:
  `IOException`

Method Detail

### write

    public void write(String key,
                      String value)
               throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.